
package de.ivu.elect.business.praesentation.entity;

import java.io.Serializable;
import java.util.Date;

public class PraesentationStatistikEntry implements Serializable {

  private static final long serialVersionUID = 1L;

  private final Date zeitpunkt;

  private final Long dauerInMs;

  private final long dauerLaden;

  private final long dauerContext;

  private final long dauerRendern;

  private final long dauerUpload;

  private final long anzahlDateien;

  private final long groesseDateienInBytes;

  private final boolean error;

  public PraesentationStatistikEntry(Date zeitpunkt, long dauerInMs, long dauerLaden, long dauerContext, long dauerRendern, long dauerUpload,
                                     long anzahlDateien, long groesseDateienInBytes, boolean error) {
    super();

    this.zeitpunkt = zeitpunkt;
    this.dauerInMs = dauerInMs;
    this.dauerLaden = dauerLaden;
    this.dauerContext = dauerContext;
    this.dauerRendern = dauerRendern;
    this.dauerUpload = dauerUpload;
    this.anzahlDateien = anzahlDateien;
    this.groesseDateienInBytes = groesseDateienInBytes;
    this.error = error;
  }

  public long getDauerInMs() {
    return dauerInMs;
  }

  public long getDauerContext() {
    return dauerContext;
  }

  public long getDauerRendern() {
    return dauerRendern;
  }

  public long getDauerLaden() {
    return dauerLaden;
  }

  public Date getZeitpunkt() {
    return zeitpunkt;
  }

  public long getDauerUpload() {
    return dauerUpload;
  }

  public long getAnzahlDateien() {
    return anzahlDateien;
  }

  public long getGroesseDateienInBytes() {
    return groesseDateienInBytes;
  }

  public boolean isError() {
    return error;
  }

  @Override
  public String toString() {
    return "PraesentationStatistikEntry{" +
        "zeitpunkt=" + zeitpunkt +
        ", dauerInMs=" + dauerInMs +
        ", dauerLaden=" + dauerLaden +
        ", dauerContext=" + dauerContext +
        ", dauerRendern=" + dauerRendern +
        ", dauerUpload=" + dauerUpload +
        ", anzahlDateien=" + anzahlDateien +
        ", groesseDateienInBytes=" + groesseDateienInBytes +
        ", error=" + error +
        '}';
  }
}
